com.amazonaws.codegen.model.intermediate

## Enum ShapeType

- java.lang.Object
- - java.lang.Enum<ShapeType>
  - - com.amazonaws.codegen.model.intermediate.ShapeType

All Implemented Interfaces:
  Serializable, Comparable<ShapeType>

    public enum ShapeType
    extends Enum<ShapeType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Enum`
`Exception`
`Model`
`Request`
`Response`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ShapeType` `fromValue(String value)`
`String` `getValue()`
`static ShapeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ShapeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Request

    public static final ShapeType Request

#### Response

    public static final ShapeType Response

#### Exception

    public static final ShapeType Exception

#### Enum

    public static final ShapeType Enum

#### Model

    public static final ShapeType Model

### Method Detail

#### values

    public static ShapeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShapeType c : ShapeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShapeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### fromValue

    public static ShapeType fromValue(String value)